> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Job

> Check the processing status of a crypto P&L job.



## OpenAPI

````yaml api-reference/it/calculator/openapi.json POST /it/calculator/pnl/crypto
openapi: 3.1.0
info:
  title: Sandbox API [Prod]
  version: '1.0'
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security:
  - {}
paths:
  /it/calculator/pnl/crypto:
    post:
      tags:
        - pnl
        - crypto
      summary: Submit P&L Job
      parameters:
        - name: from
          in: query
          required: true
          description: >-
            Start timestamp (inclusive) for the P&L calculation period,
            expressed as Unix epoch time in milliseconds.
          deprecated: false
          schema:
            type: integer
          example: '170568010006'
        - name: to
          in: query
          required: true
          description: >-
            End timestamp (inclusive) for the P&L calculation period, expressed
            as Unix epoch time in milliseconds.
          deprecated: false
          schema:
            type: number
          example: '17508819039973'
        - name: input
          in: query
          required: true
          description: Type of input file
          deprecated: false
          schema:
            type: string
            default: tradebook
          example: tradebook
        - name: output
          in: query
          required: true
          description: 'Type of output file. Allowed values: tradewise_pnl or scripwise_pnl.'
          deprecated: false
          schema:
            type: string
            enum:
              - tradewise_pnl
          example: tradewise_pnl
        - name: api_version
          in: query
          required: false
          deprecated: false
          schema: {}
          example: 1.0.0
        - name: x-accept-type
          in: header
          required: true
          deprecated: false
          schema:
            type: string
          example: application/json
        - name: x-api-key
          in: header
          required: true
          description: Your API key used to authenticate and authorize the request.
          deprecated: false
          schema:
            type: string
          example: '{{api_key}}'
        - name: x-api-version
          in: header
          required: false
          description: >-
            Indicates the version of the API you want to use. Ensures
            backward-compatible behavior.
          deprecated: false
          schema:
            type: string
          example: '{{version}}'
        - name: Authorization
          in: header
          required: true
          description: 'Token for user-level authorization. '
          deprecated: false
          schema:
            type: string
          example: '{{access_token}}'
      responses: {}

````